@import "variable";

.input__group {

  label.input__label {
    color: $bg-gray-label;
    font-size: 14px;
    font-family: avertaB, sans-serif;

    ::ng-deep .label__required {
      color: $bg-error-default;
    }
  }

  .input__message {
    font-size: 12px;
    margin-top: 8px;
    color: $bg-gray-label;

    em {
      margin-right: 8px;
    }

    .text__message {
      font-family: avertaL, sans-serif;
    }
  }

  .input__message--warning {

    em, span {
      color: $bg-warning-default;
    }
  }

  .input__message--error {

    em, span {
      color: $bg-error-red;
    }
  }

  .input__message--success {

    em, span {
      color: $bg-success-default;
    }
  }

  .input__text {
    font-size: 14px;
    color: $bg-gray-body;
    outline: none;
    box-shadow: none;
    resize: none;

    @include placeholder {
      color: $bg-gray-placeholder;
      font-size: 14px;
    }

    &:active, &:focus {
      &:enabled {
        @include placeholder {
          color: $bg-gray-line;
        }
      }
    }
  }

  .ant-input-number {
    width: 100%;
    ::ng-deep.ant-input-number-input {
      height: 22px;
      padding: 0;
    }
  }
}

.input__area {
  font-size: 14px;
  color: $bg-gray-body;
  outline: none;
  box-shadow: none;
  resize: none;
  padding-top: 10px;
  overflow: hidden;

  @include placeholder {
    color: $bg-gray-placeholder;
    font-size: 14px;
  }

  &:active, &:focus {
    &:enabled {
      @include placeholder {
        color: $bg-gray-line;
      }
    }
  }
}

//Input no icon
.input__group.input__group--no-icon {

  .input__text {
    border: 1px solid;
    padding: 10px 0 10px 8px;
    border-radius: 8px;
    margin-top: 4px;
  }

  .input__area {
    border: 1px solid;
    border-radius: 8px;
    margin-top: 4px;
  }

  //Default
  .input__text--default {
    border-color: $bg-gray-line;

    &:hover, &:focus {
      border-color: $bg-primary-default;
    }

    &:disabled {
      background: $bg-gray-input;

      &:hover, &:focus {
        border-color: $bg-gray-line;
      }
    }
  }

  //Warning
  .input__text--warning {
    border-color: $bg-warning-light;

    &:hover, &:focus {
      border-color: $bg-warning-default;
    }

    &:disabled {
      background: $bg-gray-input;

      &:hover, &:focus {
        border-color: $bg-warning-light;
      }
    }
  }

  //Error
  .input__text--error {
    border-color: $bg-error-red;

    &:hover, &:focus {
      border-color: $bg-error-default;
    }

    &:disabled {
      background: $bg-gray-input;

      &:hover, &:focus {
        border-color: $bg-error-red;
      }
    }
  }

  //Success
  .input__text--success {
    border-color: $bg-success-light;

    &:hover, &:focus {
      border-color: $bg-success-default;
    }

    &:disabled {
      background: $bg-gray-input;

      &:hover, &:focus {
        border-color: $bg-success-light;
      }
    }
  }
}

//Input icon
.input__group.input__group--icon {

  .input__group--group {
    border: 1px solid;
    padding: 10px 0 10px 8px;
    border-radius: 8px;
    margin-top: 4px;
    outline: none;
    box-shadow: none;
    align-items: center;

    ::ng-deep i {
      color: $bg-gray-body;
      font-size: 14px;
      margin-right: 5px;
    }

    ::ng-deep em {
      color: $bg-gray-body;
      font-size: 14px;
      margin-right: 5px;
    }
  }

  //Default
  .input__group--group--default {
    border-color: $bg-gray-line;

    &:hover, &:focus {
      border-color: $bg-primary-default;
    }

    &:disabled {
      background: $bg-gray-input;

      &:hover, &:focus {
        border-color: $bg-gray-line;
      }
    }
  }

  //Warning
  .input__group--group--warning {
    border-color: $bg-warning-light;

    &:hover, &:focus {
      border-color: $bg-warning-default;
    }

    &:disabled {
      background: $bg-gray-input;

      &:hover, &:focus {
        border-color: $bg-warning-light;
      }
    }
  }

  //Error
  .input__group--group--error {
    border-color: $bg-error-light;

    &:hover, &:focus {
      border-color: $bg-error-default;
    }

    &:disabled {
      background: $bg-gray-input;

      &:hover, &:focus {
        border-color: $bg-error-light;
      }
    }
  }

  //Success
  .input__group--group--success {
    border-color: $bg-success-light;

    &:hover, &:focus {
      border-color: $bg-success-default;
    }

    &:disabled {
      background: $bg-gray-input;

      &:hover, &:focus {
        border-color: $bg-success-light;
      }
    }
  }
}

::ng-deep .ant-upload.ant-upload-drag {
  border: 1px dashed $bg-gray-line !important;
  background-color: white;

  &:hover, &:focus {
    border-color: $bg-primary-default !important;
  }
}

.select__group.select__group--compact {

  ::ng-deep .ant-select-selector {
    border: none;
    height: 22px !important;

    ::ng-deep .ant-select-selection-search-input, ::ng-deep .ant-select-selection-item {
      height: 22px;
      line-height: 22px;
    }
  }

  @include placeholder {
    color: $bg-gray-placeholder;
    font-size: 14px;
  }
}

.input__group--compacts--flex {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

.group__action--form-array {
  display: flex;
}

::ng-deep .select__group--compact.ant-select-focused:not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector {
  border: none;
  box-shadow: none;
  outline: 0;
}

::ng-deep .ant-input-suffix {
  margin-left: 4px;
  margin-right: 4px;
}

textarea.ant-input {
  min-height: 44px !important;
}

.max-length-input {
  display: flex;
  justify-content: flex-end;
  color: #A0A3BD;
}

::ng-deep {
  .ant-input-disabled,
  .ant-picker-disabled,
  .ant-input-affix-wrapper-disabled,
  .ant-select-disabled .ant-select-selector {
    color: $input-text-name !important;
  }
}
